//
//  SXCameraTemplate.h
//  SXVideoEnging
//
//  Created by Yin Xie on 2019/11/8.
//  Copyright © 2019 Zhiqiang Li. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface SXCameraTemplate : NSObject
//相机模板名称
@property (nonatomic, copy, readonly) NSString *name;
//相机模板版本号
@property (nonatomic, strong, readonly) NSString *version;

/**
 * 初始化一个相机模板实例
 * @param filePath 相机模板文件夹路径
 * @return 相机模板实例
 */
- (instancetype)initWithFilePath:(NSString *)filePath;

/**
 检测相机模板的 version 是否被当前引擎全部支持
 
 @return  1 表示相机模板版本高于引擎版本，不是完整支持， 返回 0， -1 表示可以完整支持
 */
- (int)compareWithCurrentVersion;
@end

NS_ASSUME_NONNULL_END
